# VectorNav C++ Library: include/vn/exceptions.h File Reference

exceptions.h File Reference
`#include <stdexcept>`

Go to the source code of this file.

## Classes

class | vn::dimension_error
| Exception class indicating that there as an dimensional error. More...
class | vn::unknown_error
| Indicates an unknown error occurred. More...
class | vn::not_implemented
| Indicates that the requested functionality is not currently implemented. More...
class | vn::null_pointer
| Indicates a null pointer was provided. More...
class | vn::invalid_operation
| Indicates an invalid operation was attempted. More...
class | vn::permission_denied
| Indicates invalid permission for the operation. More...
class | vn::not_supported
| Indicates the requested feature is not supported. More...
class | vn::not_found
| Requested item not found. More...
class | vn::invalid_format
| The format was invalid. More...
class | vn::timeout
| A timeout occurred. More...

## Detailed Description

{COMMON_HEADER}

# DESCRIPTION

This header file for exception classes used by the VectorNav C++ Library.